<script setup>
import { usePostsStore } from '../stores/postsStore';
import { computed, ref, onMounted } from 'vue';

const postsStore = usePostsStore();
const posts = computed(() => postsStore.getPosts);
const message = ref("");

onMounted(() => {
    const token = sessionStorage.token;

    if (token == null) {

        message.value = "Pour voir les articles il vous faut un jeton que vous obtenez en vous connectant, cliquez ici !"

    } else {

        postsStore.fetchPosts().catch(error => message.value = "Ca bug")
    }

});

</script>  

<template>
    <h1>Articles</h1>
    <router-link :to="({ name: 'Login' })">
        <p> {{ message }} </p>
    </router-link>
    <div class="posts">
        <div v-for="(post) in posts" class="post">
            <router-link :to="({ name: 'Post', params: { id: post.id } })">
                <h2> {{ post.title }} </h2>
            </router-link>
        </div>
    </div>
</template>

<style lang="scss">
p {
    text-align: center;
}

.posts {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;


    .post {
        padding: 5px;
        text-align: center;
        border: solid .5px grey;
        background-color: #f6f6f6;
    }
}
</style>